/*
 * Class TABLE_ITERABLE [INTEGER_32, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1894 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1894 [] = {0xFF01,1551,1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1894 [] = {0xFF01,1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1894 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1894 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1894 [] = {0xFF01,1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1894 [] = {0xFF01,1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1894 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1894 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1894 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1894 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1894 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1894 [] = {1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1894 [] = {0xFF01,1893,869,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1894 [] = {0xFF01,1891,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1894 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1894 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1894[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1894), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1894), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1894), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1894), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1894), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1894), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1894), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1894), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1894), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1894), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1894), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1894), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1894), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1894), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1894), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1894), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1894), -1, 0xFFFFFFFF},
};
void Init1894(void)
{
	IDSC(desc_1894, 0, 1893);
	IDSC(desc_1894 + 1, 1, 1893);
	IDSC(desc_1894 + 32, 1088, 1893);
	IDSC(desc_1894 + 34, 344, 1893);
}


#ifdef __cplusplus
}
#endif
